package com.ruoyi.project.plant.service;

import java.util.List;
import com.ruoyi.project.plant.domain.TTargetmeasures;

/**
 * 目标措施Service接口
 * 
 * @author ruoyi
 * @date 2021-07-05
 */
public interface ITTargetmeasuresService 
{
    /**
     * 查询目标措施
     * 
     * @param id 目标措施ID
     * @return 目标措施
     */
    public TTargetmeasures selectTTargetmeasuresById(Long id);

    /**
     * 查询目标措施
     *
     * @param targetlistId 目标列表ID
     * @return 目标措施
     */
    public TTargetmeasures selectTTargetmeasuresByListId(Long targetlistId);

    /**
     * 查询目标措施列表
     * 
     * @param tTargetmeasures 目标措施
     * @return 目标措施集合
     */
    public List<TTargetmeasures> selectTTargetmeasuresList(TTargetmeasures tTargetmeasures);

    /**
     * 新增目标措施
     * 
     * @param tTargetmeasures 目标措施
     * @return 结果
     */
    public int insertTTargetmeasures(TTargetmeasures tTargetmeasures);

    /**
     * 修改目标措施
     * 
     * @param tTargetmeasures 目标措施
     * @return 结果
     */
    public int updateTTargetmeasures(TTargetmeasures tTargetmeasures);

    /**
     * 批量删除目标措施
     * 
     * @param ids 需要删除的目标措施ID
     * @return 结果
     */
    public int deleteTTargetmeasuresByIds(Long[] ids);

    /**
     * 删除目标措施信息
     * 
     * @param id 目标措施ID
     * @return 结果
     */
    public int deleteTTargetmeasuresById(Long id);
}
